
From: Michael Hunold <hunold@convergence.de>

the Linux-on-a-CD system Knoppix has nearly all framebuffer drivers for
2.4.23 compiled in. Additionally, it surpresses most kernel messages by
lowering the kernel log level.

Two framebuffer drivers (clgenfb.c and hgafb.c), however, use KERN_ERR
to say that their particular card has *not* been found which is very
annoying.

Especially the clgenfb.c driver simply says on bootup:
  >  Couldn't find PCI device
which can really confuse newbie users.

I've already send a patch that fixes this for 2.4 -- Marcelo and Geert 
Uytterhoeven have already ack'ed it.

The same change should be done for 2.6, too IMHO.

The appended patch replaces two KERN_ERR with KERN_INFO and additionally
makes the cirrusfb.c message more descriptive.



 25-akpm/drivers/video/cirrusfb.c |    2 +-
 25-akpm/drivers/video/hgafb.c    |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/video/cirrusfb.c~fbdev-printk-level-fix drivers/video/cirrusfb.c
--- 25/drivers/video/cirrusfb.c~fbdev-printk-level-fix	Mon Dec 22 13:15:46 2003
+++ 25-akpm/drivers/video/cirrusfb.c	Mon Dec 22 13:15:46 2003
@@ -2528,7 +2528,7 @@ static int __init clgen_pci_setup (struc
 
 	pdev = clgen_pci_dev_get (btype);
 	if (!pdev) {
-		printk (KERN_ERR " Couldn't find PCI device\n");
+		printk (KERN_INFO "cirrusfb: couldn't find Cirrus Logic PCI device\n");
 		DPRINTK ("EXIT, returning 1\n");
 		return 1;
 	}
diff -puN drivers/video/hgafb.c~fbdev-printk-level-fix drivers/video/hgafb.c
--- 25/drivers/video/hgafb.c~fbdev-printk-level-fix	Mon Dec 22 13:15:46 2003
+++ 25-akpm/drivers/video/hgafb.c	Mon Dec 22 13:15:46 2003
@@ -539,7 +539,7 @@ static struct fb_ops hgafb_ops = {
 int __init hgafb_init(void)
 {
 	if (! hga_card_detect()) {
-		printk(KERN_ERR "hgafb: HGA card not detected.\n");
+		printk(KERN_INFO "hgafb: HGA card not detected.\n");
 		return -EINVAL;
 	}
 

_
